10 IBOARD%=0
20 ICHAN%=1
10000 REM ichan% is the channel to sample
10010 REM iboard% is the board adapter number
10020 REM first must set the board addresses
10030 IADD%=IBOARD%*1024
10040 IDVNMR%=&HC2E2+IADD% ' device number register
10050 IADSTR%=&H2E2+IADD% ' a/d control/status register
10060 IADNMR%=&H22E2+IADD% ' a/d data register
10070 REM now set the device number to 9
10080 OUT IDVNMR%,9
10100 REM now set the a/d mux register
10110 OUT IADSTR%,0
10120 OUT IADSTR%+1,ICHAN%
10130 REM must wait a little to let mux settle
10140 I%=1+1+1+1+1
10150 REM now start the a/d conversion
10160 OUT IADSTR%,1
10170 OUT IADSTR%+1,ICHAN%
10180 REM now wait for the conversion to complete
10190 IF INP(IADSTR%) AND 1 THEN GOTO 10190
10200 REM clear the start conversion bit
10210 OUT IADSTR%,0
10220 OUT IADSTR%+1,ICHAN%
10230 REM now read the value
10240 ILO%=INP(IADNMR%)
10250 IHI%=INP(IADNMR%+1)
10260 IVALUE%=IHI%*256+ILO%
10270 REM the integer value must be converted to a voltage level
10280 REM   the next statements assume that the board is set to +/-10
10290 VALUE=(20!/4096!)*(IVALUE%-2048)
10300 PRINT IVALUE%,VALUE
