      implicit integer*2 (i-n)
      integer*4 i1,i2
      write(*,6000)
6000  format(' This program sets square wave outputs to        '/
     $       ' Counter 1 (Delay Out) and Counter 2 (Count Out).'/
     $       ' Rate Out MUST be connected to Count In.         '/
     $       ' DACA Board must be set as Adapter 0.            '/
     $       ' Program forces symmetry and returns the actual  '/
     $       ' Rates Used                                      '/)
      write(*,6001)
6001  format(' Input Frequency for Counter 1 (10 Hz to 200 kHz):',$)
      read(*,*)f1
      if (f1 .lt. 10) then
         f1=10.
      endif
      if (f1 .gt. 200000.) then
         f1=200000.
      endif
      write(*,6002)
6002  format(' Input Frequency for Counter 2 (10 Hz to 200 kHz):',$)
      read(*,*)f2
      if (f2 .lt. 10) then
         f2=10.
      endif
      if (f2 .gt. 200000.) then
         f2=200000.
      endif
c now compute the actual values
c   each count takes 2/1.023e6 seconds
      tcount=2./1.023e6
      i1=1./(f1*tcount)
c force an even count
      i1=2*(i1/2)
      i2=1./(f2*tcount)
c force an even count
      i2=2*(i2/2)
c now compute the actual frequencies and print them out
      f1=1./(i1*tcount)
      f2=1./(i2*tcount)
      write(*,6003)i1,f1,i2,f2
6003  format(
     $ ' Actual values for Counter 1.  Counts:',i10,' Freq:',1pe12.5/
     $ ' Actual values for Counter 2.  Counts:',i10,' Freq:',1pe12.5/)
c now the actual work
      iaddr=738
      call setuca(iaddr)
c now set counter 0 to be rate generator with a count of 2
      ictr=0
      ii=2
c   0 0 1 1 0 1 0 0 = 34Hex=52Dec
      icontr=52
      call st8253(ictr,icontr,ii)
c now set counter 1 to be square wave generator with count i1
      ictr=1
c   0 1 1 1 0 1 1 0 = 76Hex=118Dec
      icontr=118
      ii=i1
      call st8253(ictr,icontr,ii)
c now set counter 2 to be square wave generator with count i1
      ictr=2
      ii=i2
c   1 0 1 1 0 1 1 0 = B6Hex=182Dec
      icontr=182
      call st8253(ictr,icontr,ii)
c done
      stop
      end
