c this routine initializes various things
      subroutine init(nponts)
c declare usual integers to integer*2
      implicit integer*2 (i-n)
c declare variable character*1 type
       character*1 bfinp,bfout
c this common holds all the data
          parameter (n41=4096)
      common/mdatf1/VERT1(n41),HORZ1(n41),TIME1(n41)
      common/mdatf2/VERT2(n41),HORZ2(n41),TIME2(n41)
      common/mdatf3/VERT3(n41),HORZ3(n41),TIME3(n41)
      common/mdatf4/VERT4(n41),HORZ4(n41),TIME4(n41)
c this holds the lengths of the data arrays
       common/mdatan/nchd,npt1,npt2,npt3,npt4
c this holds the names of the input and output files
       common/mnames/bfinp(10),bfout(10)
c this holds numbers used in file reads and writes
       common/munits/luset,ludis,lsio1,lsio2,lsio3,lsio4
c
c zero the arrays
       do 509 i=1,nponts
       vert1(i)=0.0
       vert2(i)=0.0
       vert3(i)=0.0
       vert4(i)=0.0
       horz1(i)=0.0
       horz2(i)=0.0
       horz3(i)=0.0
       horz4(i)=0.0
       time1(i)=0.0
       time2(i)=0.0
       time3(i)=0.0
       time4(i)=0.0
509    continue
        do 588 i=1,10
        bfinp(i)=' '
        bfout(i)=' '
588     continue
        npt1=nponts
        npt2=0
        npt3=0
        npt4=0
        nchd =1
        lsio1=1
        lsio2=1
        lsio3=1
        lsio4=1
c
        return
        end
c this routine requests the input and output data file names
c   according to the values of nin and nout
c
       subroutine innout(nin,nout)
c declare all integers of length *2
          implicit integer*2 (i-n)
c declares of character*1 type
          character*1 bfinp,bfout
c common holds sizes of data arrays
          common/mdatan/nchd,npt1,npt2,npt3,npt4
c common holds the data itself
          parameter (n41=4096)
      common/mdatf1/VERT1(n41),HORZ1(n41),TIME1(n41)
      common/mdatf2/VERT2(n41),HORZ2(n41),TIME2(n41)
      common/mdatf3/VERT3(n41),HORZ3(n41),TIME3(n41)
      common/mdatf4/VERT4(n41),HORZ4(n41),TIME4(n41)
c this common will be filled with the file names
       common/mnames/bfinp(10),bfout(10)
c this common holds values used for input and output files
       common/munits/luset,ludis,lsio1,lsio2,lsio3,lsio4
c
c this routine reads the input and output file names as needed
c       nin = 0 ; no input file.       nout = 0 ; no output file.
c       nin = 1 ; binary input file.   nout = 1 ; binary output file.
c       nin = 2 ; ascii transfer file. nout = 2 ; ascii transfer file.
c       nin = 3 ; not valid.           nout = 3 ; ascii table file.
c
600     format(80a1)
6999    continue
c request input file name
        if(nin .eq. 0) go to 7000
        write(*,60)
60      format(
     $ '  Input file name(10 characters;no blanks)?',$)
        nn=0
        read(*,600)bfinp
7000    continue
c request output file name
        if(nout .eq. 0)go to 7001
        write(*,61)
61      format(
     $ ' Output file name(10 characters;no blanks)?',$)
        nn=0
        read(*,600)bfout
7001    continue
c this is a trap to prevent writing over the input file
c need to do it only if both are read
        if(nin .eq. 0 .or. nout .eq. 0)go to 7002
c
        do 510 i=1,10
        if(bfout(i) .ne. bfinp(i)) go to 7002
510     continue
c same name request names again
        write(*,62)
62      format(
     $ '***ERROR:input and output file names the same. Try again!')
        go to 6999
7002    continue
        return
        end
c this routine coordinates the reading of the input file
c   and calls the appropriate subroutine to read the proper type file
       subroutine binput(nin,maxch,maxlen,ner)
c declare all integers of length *2
          implicit integer*2 (i-n)
c declare of character*1 type
          character*1 bfout,bfinp,bhead1,bhead2
c this common will be filled with the file names
       common/mnames/bfinp(10),bfout(10)
c this common holds values used for input and output files
       common/munits/luset,ludis,lsio1,lsio2,lsio3,lsio4
c this common holds the heading labels for the file
       common/mdatah/bhead1(40),bhead2(40)
c
c if nin is 1 then file is a binary file
c if nin is 2 or more then file is an ascii file
c
        if(nin .eq. 1)call uopen(lsio3,bfinp,4,ner)
        if(nin .gt. 1)call uopen(lsio3,bfinp,1,ner)
c error message
        if(ner .eq. 0)go to 7000
        write(*,63)
63      format(
     $ '***ERROR:error in file open. Program Exits.              ')
        return
c
7000    continue
c
c now the actual read of the file
        if(nin .eq. 1)call retfil(maxch,maxlen,ner)
        if(nin .eq. 2)call retasc(maxch,maxlen,ner)
c note that rettab will simply return an error because
c      program will not accept an ascii "table" (lotus...) file as input.
        if(nin .eq. 3)call rettab(maxch,maxlen,ner)
c now close the file
        call uclose(lsio3,ner)
c now deal with errors
        if(ner .eq. 0)go to 7001
        write(*,64)
64      format(
     $ '***ERROR:error in file read. Program Exits.              ')
        return
7001    continue
c write label to screen as diagnostic
        write(*,65)bhead2
65      format(  ' Label from Input File:',40a1)
        write(*,66)maxch
66      format(' there are ',i1,' channels in this file')
c done so return
        return
        end
c this routine takes care of writing the files
c   it choses the proper subroutine for the desired type
       subroutine boutpu(nout,maxch,maxlen,ner)
c declare all integers of length *2
          implicit integer*2 (i-n)
c declare of character*1 type
          character*1 bfinp,bfout,bhead1,bhead2
c common holds sizes of data arrays
          common/mdatan/nchd,npt1,npt2,npt3,npt4
c common holds the data itself
c this common will be filled with the file names
       common/mnames/bfinp(10),bfout(10)
c this common holds values used for input and output files
       common/munits/luset,ludis,lsio1,lsio2,lsio3,lsio4
c this common holds the file labels
       common/mdatah/bhead1(40),bhead2(40)
c
c if nin is 1 then file is a binary file
c    otherwise the file is an ascii file
c
        if(nout .eq. 1)call uopen(lsio4,bfout,5,ner)
        if(nout .gt. 1)call uopen(lsio4,bfout,2,ner)
c error message
        if(ner .eq. 0)go to 7000
        write(*,63)
63      format(
     $ '***ERROR:error in file open. Program Exits.              ')
        stop
c
7000    continue
c
c now the actual read of the file
        if(nout .eq. 1)call stofil(maxch,maxlen,ner)
        if(nout .eq. 2)call stoasc(maxch,maxlen,ner)
        if(nout .eq. 3)call stotab(maxch,maxlen,ner)
c now close the file
        call uclose(lsio4,ner)
c now deal with errors
        if(ner .eq. 0)go to 7001
        write(*,64)
64      format(
     $ '***ERROR:error in file read. Program Exits.              ')
        stop
7001    continue
c done so return
        return
        end
c this routine allows quoted strings to be put into arrays
c   used for filling the label arrays
c
          SUBROUTINE BSTUF(N,BARRAY,B)
c normal integers forced to be integer*2
          implicit integer*2 (i-n)
c character declarations
          character*1 barray,b
C
          DIMENSION BARRAY(1),B(1)
          DO 50 I=1,N
          BARRAY(I)=B(I)
50        CONTINUE
          RETURN
          END
c this routine takes care to open files with the proper type
c   and form. it also does some checking for a valid file
c   name and checks if the file exists using the INQUIRE statement.
          SUBROUTINE UOPEN(LU,BD,IAGE,NER)
c declare variables starting with b as character type
          implicit character*1 (b)
c force normal integers to be integer*2
          implicit integer*2 (i-n)
         logical lfile
         DIMENSION BD(1),b10(10)
         CHARACTER*10 C10
         equivalence (c10,b10(1))
c this section performs some checks to see if file name is valid.
C pc  checks if file name is 8 characters or less before the .
         NER=1
c check for a dot
         idot=0
         do 550 i=1,10
         if(bd(i) .eq. '.')idot=i
550      continue
c find last non-blank character
         do 551 i=1,10
         ilast=11-i
         if(bd(ilast) .ne. ' ')go to 755
551      continue
755      continue
c section to check cases with a .
         if(idot .eq.0)go to 756
c cant be more than 8 characters before the .
         if(idot .gt. 9)go to 7000
c cant be more than 3 characters after the .
         if((ilast-idot) .gt. 3)go to 7000
         go to 757
756      continue
c section to check cases with no .
c  cant be more than 8 characters
         if(ilast .gt. 8)go to 7000
757      continue
c microsoft open wants character string not array of character*1
c other checks and stuff into long character array
         ICNT=0
         DO 50 I=1,10
         IF(BD(I) .NE. ' ')ICNT=ICNT+1
         b10(i)  =BD(I)
50       CONTINUE
        IF(ICNT .EQ. 0) GO TO 7000
        IF(BD(1) .EQ. ' ')GO TO 7000
c now use inquire to find out if file exists
        inquire(FILE=c10,EXIST=lfile)
c now if file is old (iage=4 or 1) and file doesnt exist trap as error
        if(iage .ne. 4 .and. iage .ne. 1)go to 7800
        if(lfile)go to 7801
        go to 7000
7800    continue
c checks in case file is supposed to be new
c none for now - allow it to write over old file
7801    continue
c okay file as best as can tell
c now open it
c first two are for unformatted (binary) files
        IF(IAGE .EQ. 5)OPEN(lu,file=c10,STATUS='new',
     $ FORM='UNFORMATTED')
        IF(IAGE .EQ. 4)OPEN(lu,file=C10,STATUS='OLD',
     $ FORM='UNFORMATTED')
c these are for formatted (ascii) files
        IF(IAGE .EQ. 2)OPEN(lu,FILE=C10,STATUS='NEW')
        IF(IAGE .EQ. 1)OPEN(lu,FILE=c10,status='old')
        IF(IAGE .EQ. 0)OPEN(lu,file=c10,status='new')
        NER=0
7000    CONTINUE
        return
        END
c this routine closes files
        SUBROUTINE UCLOSE(LU,NER)
c declare usual integers to integer*2
          implicit integer*2 (i-n)
          NER=1
          CLOSE(lu,status='keep')
          NER=0
7000      CONTINUE
          RETURN
          END
